CMSIS-DSP: arm_rfft_q15.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_rfft_q15.c File Reference

## Functions

void | arm_split_rfft_q15 (q15_t *pSrc, uint32_t fftLen, const q15_t *pATable, const q15_t *pBTable, q15_t *pDst, uint32_t modifier)
| Core Real FFT process. More...
void | arm_split_rifft_q15 (q15_t *pSrc, uint32_t fftLen, const q15_t *pATable, const q15_t *pBTable, q15_t *pDst, uint32_t modifier)
| Core Real IFFT process. More...
void | arm_rfft_q15 (const arm_rfft_instance_q15 *S, q15_t *pSrc, q15_t *pDst)
| Processing function for the Q15 RFFT/RIFFT. More...

## Function Documentation

void arm_split_rfft_q15 | ( | q15_t * | pSrc,
|  | uint32_t | fftLen,
|  | const q15_t * | pATable,
|  | const q15_t * | pBTable,
|  | q15_t * | pDst,
|  | uint32_t | modifier
| ) |  |

end of RealFFT group

Parameters

  [in] | pSrc | points to input buffer
  [in] | fftLen | length of FFT
  [in] | pATable | points to twiddle Coef A buffer
  [in] | pBTable | points to twiddle Coef B buffer
  [out] | pDst | points to output buffer
  [in] | modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table

Returns
  none

  The function implements a Real FFT

void arm_split_rifft_q15 | ( | q15_t * | pSrc,
|  | uint32_t | fftLen,
|  | const q15_t * | pATable,
|  | const q15_t * | pBTable,
|  | q15_t * | pDst,
|  | uint32_t | modifier
| ) |  |

Parameters

  [in] | pSrc | points to input buffer
  [in] | fftLen | length of FFT
  [in] | pATable | points to twiddle Coef A buffer
  [in] | pBTable | points to twiddle Coef B buffer
  [out] | pDst | points to output buffer
  [in] | modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table

Returns
  none

  The function implements a Real IFFT